task bamqc {
	File bam
	File bai
	String docker
	String cluster_config
	String disk_size

	command <<<
		set -o pipefail
		set -e
		nt=$(nproc)
		/opt/qualimap/qualimap bamqc -bam ${bam} -outformat PDF:HTML -nt $nt -outdir result --java-mem-size=32G 
	>>>

	runtime {
		docker:docker
		cluster:cluster_config
		systemDisk:"cloud_ssd 40"
		dataDisk:"cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File genome_result = "result/genome_results.txt"
		File pdf = "result/report.pdf"
		Array[File] png = glob("reuslt/images_qualimapReport/*.png")
		Array[File] txt = glob("result/raw_data_qualimapReport/*.txt")
	}
}